| citeproc-hs-0.2: A Citation Style Language implementation in Haskell | Source code | Contents | Index
Text.CSL.Output.Plain |
Portability | unportable
Stability | unstable
Maintainer | Andrea Rossato <andrea.rossato@unitn.it>
Description
The plain ascii output formatter for CSL
Synopsis
renderPlain :: [FormattedOutput] -> String
renderPlainStrict :: [FormattedOutput] -> String
procList :: Eq a => [a] -> ([a] -> [b]) -> [b]
(<+>) :: String -> String -> String
(<>) :: String -> String -> String
Documentation
renderPlain :: [FormattedOutput] -> String | Source
Render the `FormattedOutput` into a plain text string.
renderPlainStrict :: [FormattedOutput] -> String | Source
Same as `renderPlain` , but will not clean up the produced output.
procList :: Eq a => [a] -> ([a] -> [b]) -> [b] | Source
(<+>) :: String -> String -> String | Source
(<>) :: String -> String -> String | Source
Produced by Haddock version 2.4.2